Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040937
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-05-22 15:392019-06-07 08:50
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision313565b75f52
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040937: public class ApplicationDictionaryValidator is not used for anything and should be removed

DescriptionThat class in org.openbravo.service.system package is not used at all in pi and has never been touched since 2009 (excluding big mass-chanes (reformat etc..)

Note: That it is public so deletion is formally an api-change
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0040989 closedalostale API change: removed ApplicationDictionaryValidator 
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0112294)
hgbot (developer)
2019-05-31 10:12

Repository: erp/devel/pi
Changeset: 313565b75f52a01ee30d74f5e8fa725388eebcda
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri May 31 10:01:20 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/313565b75f52a01ee30d74f5e8fa725388eebcda [^]

fixed issue 40937: removed unused ApplicationDictionaryValidator class

---
R src/org/openbravo/service/system/ApplicationDictionaryValidator.java
---
(0112299)
hudsonbot (developer)
2019-05-31 14:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ffc483281950 [^]
Maturity status: Test
(0112500)
caristu (developer)
2019-06-07 08:50

Reviewed

- Issue History
Date Modified Username Field Change
2019-05-22 15:39 shuehner New Issue
2019-05-22 15:39 shuehner Assigned To => platform
2019-05-22 15:39 shuehner Modules => Core
2019-05-22 15:39 shuehner Triggers an Emergency Pack => No
2019-05-22 15:39 shuehner Relationship added blocks 0032688
2019-05-31 10:02 alostale Assigned To platform => alostale
2019-05-31 10:03 alostale Relationship added depends on 0040989
2019-05-31 10:12 hgbot Checkin
2019-05-31 10:12 hgbot Note Added: 0112294
2019-05-31 10:12 hgbot Status new => resolved
2019-05-31 10:12 hgbot Resolution open => fixed
2019-05-31 10:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/313565b75f52a01ee30d74f5e8fa725388eebcda [^]
2019-05-31 10:13 alostale Review Assigned To => caristu
2019-05-31 14:32 hudsonbot Checkin
2019-05-31 14:32 hudsonbot Note Added: 0112299
2019-06-07 08:50 caristu Note Added: 0112500
2019-06-07 08:50 caristu Status resolved => closed
2019-06-07 08:50 caristu Fixed in Version => 3.0PR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker